echo off
echo .
echo .          GRAPHICS Character Installation Batch File
echo .
echo .
echo .This batch file re-configures 3 support files to make EX-PDD compatible
echo .with printers that DO support the IBM Graphics character set.
echo .(This will make ladder logic printouts and screen displays use
echo .standard IBM Graphics characters.)
echo .This batch file will do the following:
echo .
echo .         copy  PDD2040-G.CE   to  PDD2040.CE
echo .         copy  PDD2040-G.ND   to  PDD2040.ND
echo .         copy  PDD2040-G.PAR  to  PDD2040.PAR
echo .
echo .NOTE:  For EX-PDD on 5.25" disks, the PDD2040G files are on Disk 3 and
echo .         the PDD2040 destination files are on Disk 2.
echo .       For EX-PDD on 3.5" disks, the PDD2040G files are on Disk 2 and
echo .         the PDD2040 destination files are on Disk 1.
echo .       For EX-PDD on hard disk, all files are in the same directory.
echo .
echo .
echo .To terminate, press [Ctrl] [Break].  Otherwise,
pause
if   a == %2a goto error
goto install
:error
echo *-----------------------  SYNTAX ERROR  --------------------------*
echo .
echo .The syntax of the GRAPHIC command is:
echo .
echo .             GRAPHIC  id1  id2
echo .where:
echo .id1........ drive from which the PDD2040G files will be read.
echo .id2........ drive to which the PDD2040 files will be written.
echo .
echo .For example,
echo .                        GRAPHIC C C
echo .
echo .will read the PDD2040G files and write the PDD2040 files
echo .from/to hard disk C:.
echo .
echo *------------   PLEASE REENTER COMMAND and START AGAIN   ---------*
goto END
:install
echo .
echo Copying files from %1 to %2
echo on
Copy %1:PDD2040G.CE %2:PDD2040.CE
Copy %1:PDD2040G.ND %2:PDD2040.ND
Copy %1:PDD2040G.PAR %2:PDD2040.PAR
echo off         GRAPHIC support files copy complete.
:END
